Changes

Jump to: navigation, search

Download

9 bytes removed, 01:12, 28 September 2021
m
Linux and BSD distributions: no it does not!
==== PortableApps.com ====
A [https://portableapps.com/apps/education/gramps_portable '''PortableApps''' version] will run from an external device without the requirement of installing on the OS drive. [[#2|PortableApps installations<sup>2</sup>]] are <b><i>not</i></b> for touchscreen-based mobile devices. They just allow the application to run from external storage, USB thumbdrives.
As of {{CURRENTDAYNAME}}, {{CURRENTDAY}} {{CURRENTMONTHNAMEGEN}} {{CURRENTYEAR}}, the most current Gramps release is the {{TEMPLATE:version}} version.
|<!-- GUI Package manager -->Add/Remove Software (Gnome)<br>or<br>Software Management (KDE)
|<!-- Current versions -->
* Rawhide (Gramps 5.1.34)* Fedora 31 33 (Gramps 5.1.34)* Fedora 32 34 (Gramps 5.1.34)* Fedora 32 35 (Gramps 5.1.34)
|<!-- Notes -->[https://koji.fedoraproject.org/koji/packageinfo?packageID=1969 available versions]
|-
|<!-- GUI Package manager -->|[https://wiki.mageia.org/en/Installing_and_removing_software drakrpm (or rpmdrake)]
|<!-- Current versions -->
* Mageia [https://madb.mageia.org/package/show/name/gramps/release/cauldron/ Caulron]: Gramps 5.1.34
* Mageia 7.1: Gramps 5.0.1
|<!-- Notes -->[http://mageia.madb.org/package/show/name/gramps Mageia App Db - gramps]
|<!-- GUI Package manager --> [https://wiki.archlinux.org/index.php/pacman pacman]
|<!-- Current versions -->
* Gramps 5.1.34
|<!-- Notes -->[https://www.archlinux.org/packages/community/any/gramps/ available versions]
|-
|<!-- GUI Package manager -->
|<!-- Current versions -->
* Gramps 5.1.34
|<!-- Notes -->[https://packages.gentoo.org/packages/app-misc/gramps available versions]
|-
|<!-- GUI Package manager -->
|<!-- Current versions -->
* NetBSD: [http://pkgsrc.se/databases/gramps3 Gramps 3.4.9]
* NetBSD: [http://pkgsrc.se/databases/gramps5 Gramps 5.1.2]
|<!-- Notes -->
|<!-- Current versions -->
* FreeBSD: Gramps 4.2.8
* [https://www.freshports.org/science/gramps/ FreshPorts: Gramps 5.1.14]|<!-- Notes --><!--[http://portsmon.freebsd.org/portoverview.py?category=science&portname=gramps available versions]-->
|-
|<!-- Distribution -->'''[https://www.openbsd.org/ OpenBSD]'''
=== Debian-based ===
For [[File:Debianopenlogo-32.png|link=Download#Debian-based]]'''[[Debian|Debian-based linux distributions]]''' (Which includes [[File:Ubuntu_32x32.png|link=Download#Debian-based]]''' Ubuntu ''') <!--[{{github_url}}/releases/v5.1.3 Download the .deb file].-->[{{github_url}}/releases/v{{version}} Download the .deb file]. Double-click on the downloaded .deb file or (for some distributions, e.g. Mint Debian) run the following command from the directory where the file was saved ({{man menu|change the filename to match the one you downloaded}}).
sudo dpkg -i gramps_{{version}}-1_all.deb
=== Flathub ===
Gramps 5.1.3 4 is available in a flatpak at flathub.
{{man note|Please use your existing installation to backup your database before proceeding.|Also, it is a good idea to [[Gramps_5.1_Wiki_Manual_-_Manage_Family_Trees#Converting_a_BSDDB_Family_Tree_to_SQLite|convert your database to SQLite]] even though there is currently BSDDB3 support in the 5.1.3 4 flatpak.}}
First set up flatpak and the flathub repository on your system, there are instructions for various distributions at https://flatpak.org/setup/

Navigation menu